## gedit-convert gedit-convert |

## Synopsis

    enum                GeditConvertError;
    #define             GEDIT_CONVERT_ERROR
    GQuark              gedit_convert_error_quark           (void);
    gchar *             gedit_convert_to_utf8               (const gchar *content,
                                                             gsize len,
                                                             const GeditEncoding **encoding,
                                                             gsize *new_len,
                                                             GError **error);
    gchar *             gedit_convert_from_utf8             (const gchar *content,
                                                             gsize len,
                                                             const GeditEncoding *encoding,
                                                             gsize *new_len,
                                                             GError **error);

## Description

## Details

### enum GeditConvertError

    typedef enum
    {
    	GEDIT_CONVERT_ERROR_AUTO_DETECTION_FAILED = 1100
    } GeditConvertError;

### GEDIT_CONVERT_ERROR

    #define GEDIT_CONVERT_ERROR gedit_convert_error_quark()

### gedit_convert_error_quark ()

    GQuark              gedit_convert_error_quark           (void);

Returns : |

### gedit_convert_to_utf8 ()

    gchar *             gedit_convert_to_utf8               (const gchar *content,
                                                             gsize len,
                                                             const GeditEncoding **encoding,
                                                             gsize *new_len,
                                                             GError **error);

`content` : |
`len` : |
`encoding` : |
`new_len` : |
`error` : |
Returns : |

### gedit_convert_from_utf8 ()

    gchar *             gedit_convert_from_utf8             (const gchar *content,
                                                             gsize len,
                                                             const GeditEncoding *encoding,
                                                             gsize *new_len,
                                                             GError **error);

`content` : |
`len` : |
`encoding` : |
`new_len` : |
`error` : |
Returns : |